import http from '@/utils/http'

/**
 * 查询用户
 */
export function find(id) {
  return http.get('/member/' + id)
}

/**
 * 更新状态
 */
export function updateStatus(ids, status) {
  return http.post('/member/status', { 'id[]': ids, 'status': status })
}

/**
 * 删除用户
 */
export function remove(ids) {
  return http.post('/member/delete', { 'id[]': ids })
}

/**
 * 送卡
 */
export function createCard(memberId, cardType, venueType, platformId, venueId, star, end) {
  return http.post('/member/giveCard', { 'memberId': memberId, 'cardType': cardType, 'venueType': venueType, 'platformId': platformId,
    'venueId': venueId, 'star': star, 'end': end })
}

/**
 * 保存用户
 */
export function save(params) {
  return http.post('/member', params)
}
